Bug 244625 - www/chromium: [patch] Please update to 80.x
Summary: www/chromium: [patch] Please update to 80.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-chromium (Nobody)
URL: https://reviews.freebsd.org/D23984
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2020-03-06 06:39 UTC by Conrad Meyer
Modified: 2020-03-11 20:00 UTC (History)
2 users (show)

See Also:
rene: maintainer-feedback+


Attachments
Update www/chromium port to 80.x (424.39 KB, patch)
2020-03-06 06:39 UTC, Conrad Meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Conrad Meyer freebsd_committer 2020-03-06 06:39:17 UTC
Created attachment 212180 [details]
Update www/chromium port to 80.x

Apparently, there are active CVEs being used in the wild against 79.x:

https://chromereleases.googleblog.com/2020/02/stable-channel-update-for-desktop_24.html

> This update includes 3 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chrome Security Page for more information.
>
> [$5000][1044570] High: Integer overflow in ICU. Reported by André Bargull (with thanks to Jeff Walden from Mozilla) on 2020-01-22
> [N/A][1045931] High CVE-2020-6407: Out of bounds memory access in streams. Reported by Sergei Glazunov of Google Project Zero on 2020-01-27
>
> This release also contains:
> [N/A][1053604] High CVE-2020-6418: Type confusion in V8. Reported by Clement Lecigne of Google's Threat Analysis Group on 2020-02-18
>
> Google is aware of reports that an exploit for CVE-2020-6418 exists in the wild.

I've rebased our patches against the latest 80.x stable at the time I started the work a few days ago, 80.0.3987.132, and tested the ordinary Release configuration with default knobs against a few "smoke test" websites:

david.li/waves
youtube.com
google / basic browsing
Comment 1 Conrad Meyer freebsd_committer 2020-03-06 06:43:21 UTC
Phab link, it contains the same patchset as the bugzilla attachment: https://reviews.freebsd.org/D23984 .
Comment 2 commit-hook freebsd_committer 2020-03-08 19:44:56 UTC
A commit references this bug:

Author: cem
Date: Sun Mar  8 19:44:48 UTC 2020
New revision: 528072
URL: https://svnweb.freebsd.org/changeset/ports/528072

Log:
  www/chromium: update to 80.0.3987.132

  This addresses some security issues, including at least one Google admits was
  being exploited in the wild.  For more, see:
  https://chromereleases.googleblog.com/2020/02/stable-channel-update-for-desktop_24.html

  PR:		244625
  Approved by:	jrm, rene
  Security:	CVE-2020-6407, CVE-2020-6418 (in the wild), CVE-2020-6420
  Differential Revision:	https://reviews.freebsd.org/D23984

Changes:
  head/www/chromium/Makefile
  head/www/chromium/distinfo
  head/www/chromium/files/patch-BUILD.gn
  head/www/chromium/files/patch-ash_display_mirror__window__controller.cc
  head/www/chromium/files/patch-base_BUILD.gn
  head/www/chromium/files/patch-base_allocator_allocator__shim__default__dispatch__to__glibc.cc
  head/www/chromium/files/patch-base_debug_elf__reader.cc
  head/www/chromium/files/patch-base_files_file__util__posix.cc
  head/www/chromium/files/patch-base_i18n_icu__util.cc
  head/www/chromium/files/patch-base_memory_madv__free__discardable__memory__posix.cc
  head/www/chromium/files/patch-base_memory_platform__shared__memory__region.h
  head/www/chromium/files/patch-base_memory_platform__shared__memory__region__posix.cc
  head/www/chromium/files/patch-base_process_launch.h
  head/www/chromium/files/patch-base_profiler_register__context.h
  head/www/chromium/files/patch-base_profiler_sampling__profiler__thread__token.cc
  head/www/chromium/files/patch-base_profiler_sampling__profiler__thread__token.h
  head/www/chromium/files/patch-base_profiler_stack__copier__signal.cc
  head/www/chromium/files/patch-base_profiler_thread__delegate__posix.cc
  head/www/chromium/files/patch-base_test_fontconfig__util__linux.cc
  head/www/chromium/files/patch-base_test_test__file__util__posix.cc
  head/www/chromium/files/patch-base_threading_platform__thread.h
  head/www/chromium/files/patch-base_threading_platform__thread__posix.cc
  head/www/chromium/files/patch-build_config_BUILD.gn
  head/www/chromium/files/patch-build_config_compiler_BUILD.gn
  head/www/chromium/files/patch-build_config_compiler_compiler.gni
  head/www/chromium/files/patch-build_linux_unbundle_libxml.gn
  head/www/chromium/files/patch-cc_BUILD.gn
  head/www/chromium/files/patch-cc_trees_property__tree.cc
  head/www/chromium/files/patch-chrome_app_chrome__command__ids.h
  head/www/chromium/files/patch-chrome_app_chrome__content__browser__overlay__manifest.cc
  head/www/chromium/files/patch-chrome_app_chrome__main__delegate.cc
  head/www/chromium/files/patch-chrome_app_chromium__strings.grd
  head/www/chromium/files/patch-chrome_app_generated__resources.grd
  head/www/chromium/files/patch-chrome_app_google__chrome__strings.grd
  head/www/chromium/files/patch-chrome_app_settings__strings.grdp
  head/www/chromium/files/patch-chrome_app_theme_chrome__unscaled__resources.grd
  head/www/chromium/files/patch-chrome_browser_about__flags.cc
  head/www/chromium/files/patch-chrome_browser_background_background__mode__manager.cc
  head/www/chromium/files/patch-chrome_browser_browser__resources.grd
  head/www/chromium/files/patch-chrome_browser_chrome__browser__main.cc
  head/www/chromium/files/patch-chrome_browser_chrome__content__browser__client.cc
  head/www/chromium/files/patch-chrome_browser_chrome__content__browser__client.h
  head/www/chromium/files/patch-chrome_browser_custom__handlers_protocol__handler__registry.cc
  head/www/chromium/files/patch-chrome_browser_devtools_devtools__eye__dropper.cc
  head/www/chromium/files/patch-chrome_browser_download_download__prefs.cc
  head/www/chromium/files/patch-chrome_browser_download_download__shelf__context__menu.cc
  head/www/chromium/files/patch-chrome_browser_extensions_BUILD.gn
  head/www/chromium/files/patch-chrome_browser_extensions_api_settings__private_prefs__util.cc
  head/www/chromium/files/patch-chrome_browser_extensions_browser__context__keyed__service__factories.cc
  head/www/chromium/files/patch-chrome_browser_flag__descriptions.cc
  head/www/chromium/files/patch-chrome_browser_flag__descriptions.h
  head/www/chromium/files/patch-chrome_browser_media_webrtc_webrtc__event__log__uploader.cc
  head/www/chromium/files/patch-chrome_browser_media_webrtc_webrtc__logging__controller.cc
  head/www/chromium/files/patch-chrome_browser_metrics_chrome__metrics__service__client.cc
  head/www/chromium/files/patch-chrome_browser_metrics_process__memory__metrics__emitter.cc
  head/www/chromium/files/patch-chrome_browser_net_system__network__context__manager.cc
  head/www/chromium/files/patch-chrome_browser_notifications_notification__display__service__impl.cc
  head/www/chromium/files/patch-chrome_browser_password__manager_chrome__password__manager__client.cc
  head/www/chromium/files/patch-chrome_browser_plugins_plugin__info__host__impl.cc
  head/www/chromium/files/patch-chrome_browser_plugins_plugins__resource__service.cc
  head/www/chromium/files/patch-chrome_browser_policy_configuration__policy__handler__list__factory.cc
  head/www/chromium/files/patch-chrome_browser_policy_policy__prefs__browsertest.cc
  head/www/chromium/files/patch-chrome_browser_prefs_browser__prefs.cc
  head/www/chromium/files/patch-chrome_browser_profiles_chrome__browser__main__extra__parts__profiles.cc
  head/www/chromium/files/patch-chrome_browser_profiles_profile__attributes__entry.cc
  head/www/chromium/files/patch-chrome_browser_renderer__context__menu_render__view__context__menu.cc
  head/www/chromium/files/patch-chrome_browser_resources_settings_appearance__page_appearance__page.html
  head/www/chromium/files/patch-chrome_browser_sharing_shared__clipboard_feature__flags.cc
  head/www/chromium/files/patch-chrome_browser_sharing_shared__clipboard_feature__flags.h
  head/www/chromium/files/patch-chrome_browser_ssl_captive__portal__blocking__page.cc
  head/www/chromium/files/patch-chrome_browser_sync_chrome__sync__client.cc
  head/www/chromium/files/patch-chrome_browser_ui_browser__command__controller.cc
  head/www/chromium/files/patch-chrome_browser_ui_input__method_input__method__engine__base.cc
  head/www/chromium/files/patch-chrome_browser_ui_startup_bad__flags__prompt.cc
  head/www/chromium/files/patch-chrome_browser_ui_startup_startup__browser__creator.cc
  head/www/chromium/files/patch-chrome_browser_ui_tab__helpers.cc
  head/www/chromium/files/patch-chrome_browser_ui_toolbar_app__menu__model.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_chrome__browser__main__extra__parts__views.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_first__run__dialog.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_frame_browser__view.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_frame_opaque__browser__frame__view.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_frame_system__menu__model__builder.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_tabs_tab.cc
  head/www/chromium/files/patch-chrome_browser_ui_views_tabs_tab__drag__controller.cc
  head/www/chromium/files/patch-chrome_browser_ui_webui_about__ui.cc
  head/www/chromium/files/patch-chrome_browser_ui_webui_chrome__web__ui__controller__factory.cc
  head/www/chromium/files/patch-chrome_browser_ui_webui_settings_settings__localized__strings__provider.cc
  head/www/chromium/files/patch-chrome_browser_web__applications_components_web__app__file__handler__registration.cc
  head/www/chromium/files/patch-chrome_common_BUILD.gn
  head/www/chromium/files/patch-chrome_common_channel__info__posix.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.cc
  head/www/chromium/files/patch-chrome_common_chrome__features.h
  head/www/chromium/files/patch-chrome_common_chrome__paths.cc
  head/www/chromium/files/patch-chrome_common_chrome__switches.cc
  head/www/chromium/files/patch-chrome_common_chrome__switches.h
  head/www/chromium/files/patch-chrome_common_extensions_api_api__sources.gni
  head/www/chromium/files/patch-chrome_common_features.gni
  head/www/chromium/files/patch-chrome_common_pref__names.cc
  head/www/chromium/files/patch-chrome_common_pref__names.h
  head/www/chromium/files/patch-chrome_common_webui__url__constants.cc
  head/www/chromium/files/patch-chrome_common_webui__url__constants.h
  head/www/chromium/files/patch-chrome_renderer_chrome__content__renderer__client.cc
  head/www/chromium/files/patch-chrome_test_BUILD.gn
  head/www/chromium/files/patch-chrome_test_chromedriver_chrome__launcher.cc
  head/www/chromium/files/patch-chrome_test_chromedriver_chrome_chrome__finder.cc
  head/www/chromium/files/patch-chromecast_browser_cast__browser__main__parts.cc
  head/www/chromium/files/patch-chromecast_browser_cast__content__browser__client.cc
  head/www/chromium/files/patch-chromecast_external__mojo_public_cpp_external__mojo__broker.cc
  head/www/chromium/files/patch-components_autofill_core_browser_personal__data__manager.cc
  head/www/chromium/files/patch-components_autofill_core_common_autofill__payments__features.cc
  head/www/chromium/files/patch-components_crash_content_app_BUILD.gn
  head/www/chromium/files/patch-components_discardable__memory_service_discardable__shared__memory__manager.cc
  head/www/chromium/files/patch-components_feature__engagement_public_event__constants.cc
  head/www/chromium/files/patch-components_feature__engagement_public_event__constants.h
  head/www/chromium/files/patch-components_feature__engagement_public_feature__constants.cc
  head/www/chromium/files/patch-components_feature__engagement_public_feature__constants.h
  head/www/chromium/files/patch-components_feature__engagement_public_feature__list.cc
  head/www/chromium/files/patch-components_feature__engagement_public_feature__list.h
  head/www/chromium/files/patch-components_flags__ui_flags__state.cc
  head/www/chromium/files/patch-components_gcm__driver_gcm__client.h
  head/www/chromium/files/patch-components_gcm__driver_gcm__client__impl.cc
  head/www/chromium/files/patch-components_metrics_BUILD.gn
  head/www/chromium/files/patch-components_neterror_resources_neterror.js
  head/www/chromium/files/patch-components_network__session__configurator_browser_network__session__configurator.cc
  head/www/chromium/files/patch-components_os__crypt_os__crypt.h
  head/www/chromium/files/patch-components_policy_core_common_cloud_cloud__policy__util.cc
  head/www/chromium/files/patch-components_policy_resources_policy__templates.json
  head/www/chromium/files/patch-components_policy_tools_generate__policy__source.py
  head/www/chromium/files/patch-components_sync__device__info_device__info__sync__bridge.cc
  head/www/chromium/files/patch-components_sync__device__info_local__device__info__util__linux.cc
  head/www/chromium/files/patch-components_viz_host_host__display__client.cc
  head/www/chromium/files/patch-components_viz_host_host__display__client.h
  head/www/chromium/files/patch-components_viz_service_display__embedder_software__output__surface.cc
  head/www/chromium/files/patch-components_viz_service_frame__sinks_root__compositor__frame__sink__impl.cc
  head/www/chromium/files/patch-components_viz_service_frame__sinks_root__compositor__frame__sink__impl.h
  head/www/chromium/files/patch-content_app_content__main__runner__impl.cc
  head/www/chromium/files/patch-content_browser_browser__main__loop.cc
  head/www/chromium/files/patch-content_browser_child__process__launcher__helper__linux.cc
  head/www/chromium/files/patch-content_browser_compositor_gpu__process__transport__factory.cc
  head/www/chromium/files/patch-content_browser_gpu_gpu__process__host.cc
  head/www/chromium/files/patch-content_browser_media_media__internals.cc
  head/www/chromium/files/patch-content_browser_ppapi__plugin__process__host.cc
  head/www/chromium/files/patch-content_browser_renderer__host_render__process__host__impl.cc
  head/www/chromium/files/patch-content_browser_renderer__host_render__process__host__impl.h
  head/www/chromium/files/patch-content_browser_renderer__host_render__view__host__impl.cc
  head/www/chromium/files/patch-content_browser_renderer__host_render__widget__host__view__aura.cc
  head/www/chromium/files/patch-content_browser_renderer__host_render__widget__host__view__event__handler.cc
  head/www/chromium/files/patch-content_browser_scheduler_responsiveness_jank__monitor.cc
  head/www/chromium/files/patch-content_browser_scheduler_responsiveness_watcher.cc
  head/www/chromium/files/patch-content_browser_utility__process__host.cc
  head/www/chromium/files/patch-content_browser_webui_shared__resources__data__source.cc
  head/www/chromium/files/patch-content_common_BUILD.gn
  head/www/chromium/files/patch-content_gpu_BUILD.gn
  head/www/chromium/files/patch-content_gpu_gpu__main.cc
  head/www/chromium/files/patch-content_ppapi__plugin_ppapi__blink__platform__impl.cc
  head/www/chromium/files/patch-content_public_common_child__process__host.h
  head/www/chromium/files/patch-content_public_common_common__param__traits__macros.h
  head/www/chromium/files/patch-content_public_common_content__features.cc
  head/www/chromium/files/patch-content_public_common_content__switches.cc
  head/www/chromium/files/patch-content_public_common_content__switches.h
  head/www/chromium/files/patch-content_public_test_browser__test__base.cc
  head/www/chromium/files/patch-content_renderer_render__thread__impl.cc
  head/www/chromium/files/patch-content_renderer_renderer__blink__platform__impl.cc
  head/www/chromium/files/patch-content_renderer_renderer__blink__platform__impl.h
  head/www/chromium/files/patch-content_shell_BUILD.gn
  head/www/chromium/files/patch-content_shell_browser_web__test_web__test__browser__context.cc
  head/www/chromium/files/patch-content_shell_test__runner_test__runner.cc
  head/www/chromium/files/patch-device_gamepad_gamepad__provider.cc
  head/www/chromium/files/patch-extensions_browser_api_messaging_message__service.cc
  head/www/chromium/files/patch-extensions_browser_browser__context__keyed__service__factories.cc
  head/www/chromium/files/patch-extensions_common_api___permission__features.json
  head/www/chromium/files/patch-extensions_common_api_runtime.json
  head/www/chromium/files/patch-extensions_common_image__util.cc
  head/www/chromium/files/patch-gpu_command__buffer_service_external__vk__image__backing.cc
  head/www/chromium/files/patch-gpu_command__buffer_service_external__vk__image__backing.h
  head/www/chromium/files/patch-gpu_command__buffer_service_external__vk__image__gl__representation.cc
  head/www/chromium/files/patch-gpu_command__buffer_tests_gl__test__utils.cc
  head/www/chromium/files/patch-gpu_config_gpu__control__list.cc
  head/www/chromium/files/patch-gpu_ipc_service_gpu__init.cc
  head/www/chromium/files/patch-gpu_ipc_service_gpu__watchdog__thread.cc
  head/www/chromium/files/patch-gpu_ipc_service_gpu__watchdog__thread.h
  head/www/chromium/files/patch-headless_lib_browser_headless__content__browser__client.cc
  head/www/chromium/files/patch-headless_lib_headless__content__main__delegate.cc
  head/www/chromium/files/patch-ipc_ipc__channel.h
  head/www/chromium/files/patch-ipc_ipc__channel__common.cc
  head/www/chromium/files/patch-ipc_ipc__channel__mojo.cc
  head/www/chromium/files/patch-ipc_ipc__message__utils.h
  head/www/chromium/files/patch-media_audio_BUILD.gn
  head/www/chromium/files/patch-media_gpu_chromeos_libyuv__image__processor.cc
  head/www/chromium/files/patch-media_gpu_linux_platform__video__frame__utils.cc
  head/www/chromium/files/patch-media_media__options.gni
  head/www/chromium/files/patch-media_mojo_clients_mojo__video__encode__accelerator.cc
  head/www/chromium/files/patch-media_mojo_mojom_video__frame__mojom__traits.cc
  head/www/chromium/files/patch-media_mojo_services_gpu__mojo__media__client.cc
  head/www/chromium/files/patch-media_video_gpu__memory__buffer__video__frame__pool.cc
  head/www/chromium/files/patch-media_webrtc_webrtc__switches.cc
  head/www/chromium/files/patch-mojo_public_c_system_thunks.cc
  head/www/chromium/files/patch-net_BUILD.gn
  head/www/chromium/files/patch-net_base_address__tracker__linux.cc
  head/www/chromium/files/patch-net_base_network__change__notifier.cc
  head/www/chromium/files/patch-net_dns_host__resolver__proc.cc
  head/www/chromium/files/patch-net_http_http__auth__gssapi__posix.cc
  head/www/chromium/files/patch-net_nqe_network__quality__estimator__unittest.cc
  head/www/chromium/files/patch-net_proxy__resolution_proxy__resolution__service.cc
  head/www/chromium/files/patch-net_url__request_url__request__context.cc
  head/www/chromium/files/patch-net_url__request_url__request__context.h
  head/www/chromium/files/patch-net_url__request_url__request__context__builder.cc
  head/www/chromium/files/patch-pdf_pdfium_pdfium__engine.cc
  head/www/chromium/files/patch-remoting_host_it2me_it2me__native__messaging__host__main.cc
  head/www/chromium/files/patch-remoting_host_remoting__me2me__host.cc
  head/www/chromium/files/patch-remoting_resources_remoting__strings.grd
  head/www/chromium/files/patch-sandbox_linux_services_libc__interceptor.cc
  head/www/chromium/files/patch-services_device_geolocation_location__arbitrator.cc
  head/www/chromium/files/patch-services_device_time__zone__monitor_time__zone__monitor__linux.cc
  head/www/chromium/files/patch-services_network_BUILD.gn
  head/www/chromium/files/patch-services_network_network__context.cc
  head/www/chromium/files/patch-services_network_network__service.cc
  head/www/chromium/files/patch-services_network_network__service.h
  head/www/chromium/files/patch-services_service__manager_zygote_zygote__main__linux.cc
  head/www/chromium/files/patch-services_tracing_public_cpp_perfetto_trace__event__data__source.cc
  head/www/chromium/files/patch-third__party_angle_BUILD.gn
  head/www/chromium/files/patch-third__party_angle_src_libANGLE_Display.cpp
  head/www/chromium/files/patch-third__party_angle_src_libANGLE_renderer_vulkan_DisplayVk__api.h
  head/www/chromium/files/patch-third__party_angle_third__party_vulkan-loader_src_loader_loader.c
  head/www/chromium/files/patch-third__party_blink_renderer_core_html_canvas_canvas__async__blob__creator.cc
  head/www/chromium/files/patch-third__party_blink_renderer_core_paint_paint__layer.cc
  head/www/chromium/files/patch-third__party_blink_renderer_core_scroll_scrollbar__theme__aura.cc
  head/www/chromium/files/patch-third__party_blink_renderer_platform_fonts_font__cache.cc
  head/www/chromium/files/patch-third__party_blink_renderer_platform_fonts_font__cache.h
  head/www/chromium/files/patch-third__party_boringssl_src_crypto_cpu-aarch64-linux.c
  head/www/chromium/files/patch-third__party_crashpad_crashpad_build_crashpad__buildconfig.gni
  head/www/chromium/files/patch-third__party_crc32c_src_src_crc32c__arm64__linux__check.h
  head/www/chromium/files/patch-third__party_libpng_pnglibconf.h
  head/www/chromium/files/patch-third__party_perfetto_src_base_unix__socket.cc
  head/www/chromium/files/patch-third__party_perfetto_src_tracing_core_tracing__service__impl.cc
  head/www/chromium/files/patch-third__party_skia_src_ports_SkOSFile__stdio.cpp
  head/www/chromium/files/patch-third__party_swiftshader_BUILD.gn
  head/www/chromium/files/patch-third__party_swiftshader_src_OpenGL_libEGL_libEGL.cpp
  head/www/chromium/files/patch-third__party_swiftshader_src_Vulkan_VkDebug.cpp
  head/www/chromium/files/patch-third__party_webrtc_BUILD.gn
  head/www/chromium/files/patch-third__party_zlib_arm__features.c
  head/www/chromium/files/patch-tools_json__schema__compiler_feature__compiler.py
  head/www/chromium/files/patch-tools_perf_chrome__telemetry__build_BUILD.gn
  head/www/chromium/files/patch-ui_base_resource_resource__bundle.cc
  head/www/chromium/files/patch-ui_base_ui__base__features.cc
  head/www/chromium/files/patch-ui_base_ui__base__features.h
  head/www/chromium/files/patch-ui_base_webui_web__ui__util.cc
  head/www/chromium/files/patch-ui_base_x_x11__shm__image__pool__base.cc
  head/www/chromium/files/patch-ui_compositor_compositor.cc
  head/www/chromium/files/patch-ui_compositor_compositor.h
  head/www/chromium/files/patch-ui_compositor_host_host__context__factory__private.cc
  head/www/chromium/files/patch-ui_gfx_BUILD.gn
  head/www/chromium/files/patch-ui_gfx_canvas__skia.cc
  head/www/chromium/files/patch-ui_gfx_gpu__memory__buffer.h
  head/www/chromium/files/patch-ui_gfx_native__pixmap__handle.cc
  head/www/chromium/files/patch-ui_gfx_render__text.cc
  head/www/chromium/files/patch-ui_gl_BUILD.gn
  head/www/chromium/files/patch-ui_gl_generate__bindings.py
  head/www/chromium/files/patch-ui_gl_gl__bindings__autogen__glx.cc
  head/www/chromium/files/patch-ui_native__theme_native__theme__base.cc
  head/www/chromium/files/patch-ui_platform__window_platform__window__init__properties.h
  head/www/chromium/files/patch-ui_views_bubble_bubble__dialog__delegate__view.cc
  head/www/chromium/files/patch-ui_views_controls_label.cc
  head/www/chromium/files/patch-ui_views_controls_textfield_textfield.cc
  head/www/chromium/files/patch-ui_views_examples_widget__example.cc
  head/www/chromium/files/patch-ui_views_style_platform__style.cc
  head/www/chromium/files/patch-ui_views_views__delegate.cc
  head/www/chromium/files/patch-ui_views_views__delegate.h
  head/www/chromium/files/patch-ui_views_widget_desktop__aura_desktop__window__tree__host__platform.cc
  head/www/chromium/files/patch-ui_views_widget_native__widget__aura.cc
  head/www/chromium/files/patch-ui_views_window_dialog__delegate.cc
  head/www/chromium/files/patch-ui_views_window_frame__background.cc
  head/www/chromium/files/patch-v8_BUILD.gn
  head/www/chromium/files/patch-v8_include_v8config.h
  head/www/chromium/files/patch-v8_src_api_api.cc
  head/www/chromium/files/patch-v8_src_base_platform_platform-posix.cc
  head/www/chromium/files/patch-weblayer_browser_browser__main__parts__impl.cc
  head/www/chromium/files/patch-weblayer_browser_content__browser__client__impl.cc
  head/www/chromium/pkg-plist
Comment 3 Conrad Meyer freebsd_committer 2020-03-08 19:53:19 UTC
Thanks to everyone who helped out on this.
Comment 4 commit-hook freebsd_committer 2020-03-09 10:26:03 UTC
A commit references this bug:

Author: cmt
Date: Mon Mar  9 10:25:45 UTC 2020
New revision: 528101
URL: https://svnweb.freebsd.org/changeset/ports/528101

Log:
  remove patches obviously forgotten when updating to chrome 80

  these patches don't apply anymore and are not needed anymore, according
  to my reading of the code

  PR:		244625
  Approved by:	"trivial build fixes" blanket

Changes:
  head/www/chromium/files/patch-base_memory_protected__memory__posix.cc
  head/www/chromium/files/patch-chrome_browser_browser__features.cc
  head/www/chromium/files/patch-chrome_browser_browser__features.h
  head/www/chromium/files/patch-chrome_browser_platform__util.h
  head/www/chromium/files/patch-content_public_app_v8__snapshot__overlay__manifest.cc
  head/www/chromium/files/patch-content_renderer_media_webrtc_webrtc__audio__renderer__unittest.cc
  head/www/chromium/files/patch-media_gpu_libyuv__image__processor.cc
  head/www/chromium/files/patch-remoting_webapp_base_js_platform.js
  head/www/chromium/files/patch-services_device_time__zone__monitor_time__zone__monitor.cc
  head/www/chromium/files/patch-ui_gl_gl__surface__glx.cc
  head/www/chromium/files/patch-ui_platform__window_platform__window__delegate.h
  head/www/chromium/files/patch-v8_src_trap-handler_handler-inside-posix.cc
  head/www/chromium/files/patch-v8_src_trap-handler_handler-inside-posix.h
  head/www/chromium/files/patch-v8_src_trap-handler_trap-handler.h
Comment 5 Mikael Urankar freebsd_committer 2020-03-11 11:16:15 UTC
Hi,

You broke head-aarch64, can you reapply ports r527876 please?
Comment 6 Conrad Meyer freebsd_committer 2020-03-11 15:25:53 UTC
Sorry, Mikael.  I will attempt to do so.
Comment 7 Conrad Meyer freebsd_committer 2020-03-11 16:22:26 UTC
Mikael, please try https://reviews.freebsd.org/D24026 .
Comment 8 Conrad Meyer freebsd_committer 2020-03-11 20:00:40 UTC
arm64 fix in ports r528250, sorry about that.